Page MenuHomeFreeBSD

Create an API to reset a struct bio (g_reset_bio). This is mandatory for all struct bio you get back from g_{new,alloc}_bio, and optional for all other struct bio.
AbandonedPublic

Authored by imp on Jan 18 2016, 10:15 PM.

Details

Reviewers
markj
Summary

Make it possible to specify which zone to allocate a bio from, as well
as strongly suggesting this down the stack. Combine common code and
expose a general routine to allocate and copy bios.

Use our own zone for the swap_pager. We should always have room
here. Tell the system to always use this for BIOs that are created
down the stack for this I/O.

Just use g_duplicate_bio() instead of a lame version.
It's simpler, and will unblock faster than the sleeping
version.

When updated for direct dispatch, the sleep in the path for
g_io_transient_map_bio wasn't updated to reflect the fact that we
can't sleep in the direct dispatch case. When we're direct
dispatching, and we can't map the I/O, return with ENOMEM so we queue
the I/O instead of sleeping.

Implement maximum batch size for the disksort algorithm (also called
max car size in the literature). This limits the number of requests
that are batched together before starting a new batch. It has little
effect on the average service time, but can have a large effect on the
worst service time.

Submitted by: emax@

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 2180
Build 2189: arc lint + arc unit

Event Timeline

imp updated this revision to Diff 12437.Jan 18 2016, 10:15 PM
imp retitled this revision from to Create an API to reset a struct bio (g_reset_bio). This is mandatory for all struct bio you get back from g_{new,alloc}_bio, and optional for all other struct bio..
imp updated this object.
imp edited the test plan for this revision. (Show Details)
imp added a reviewer: markj.Jan 18 2016, 10:17 PM
markj added a comment.Sep 30 2019, 9:11 PM

Do we need to keep this review open?

imp added a comment.Oct 1 2019, 2:02 AM

I thought I'd committed this stuff already...

markj added a comment.Oct 1 2019, 2:05 PM
In D4987#477382, @imp wrote:

I thought I'd committed this stuff already...

Yes, r295707. Could you close it? I don't seem to have the option.

imp abandoned this revision.Oct 1 2019, 3:31 PM

This has been comitte.d